#
# Conditional build:
%bcond_with	gssglue	# use GSSGLUE layer instead of linking with Heimdal Kerberos directly
#
Summary:	rpcsec_gss implementation library
Summary(pl.UTF-8):	Biblioteka implementująca rpcsec_gss
Name:		librpcsecgss
Version:	0.19
Release:	4
License:	BSD/MIT
Group:		Libraries
Source0:	http://www.citi.umich.edu/projects/nfsv4/linux/librpcsecgss/%{name}-%{version}.tar.gz
# Source0-md5:	b45ed565bdc3099023aa35830ec92997
Patch0:		%{name}-heimdal.patch
URL:		http://www.citi.umich.edu/projects/nfsv4/linux/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
%if %{with gssglue}
BuildRequires:	libgssglue-devel >= 0.1
%else
BuildRequires:	heimdal-devel
%endif
BuildRequires:	libtool
BuildRequires:	pkgconfig
%if %{with gssglue}
Requires:	libgssglue >= 0.1
%else
Requires:	heimdal-libs
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
librpcsecgss allows secure RPC communication using the rpcsec_gss
protocol.

%description -l pl.UTF-8
librpcsecgss umożliwia bezpieczną komunikację RPC przy użyciu
protokołu rpcsec_gss.

%package devel
Summary:	Development files for librpcsecgss library
Summary(pl.UTF-8):	Pliki programistyczne biblioteki librpcsecgss
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%if %{with gssglue}
Requires:	libgssglue-devel >= 0.1
%else
Requires:	heimdal-devel
%endif

%description devel
Development files for librpcsecgss library.

%description devel -l pl.UTF-8
Pliki programistyczne biblioteki librpcsecgss.

%package static
Summary:	Static librpcsecgss library
Summary(pl.UTF-8):	Statyczna biblioteka librpcsecgss
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static librpcsecgss library.

%description static -l pl.UTF-8
Statyczna biblioteka librpcsecgss.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--with-gssapiimpl=%{?with_gssglue:libgssglue}%{!?with_gssglue:heimdal-gssapi}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/librpcsecgss.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/librpcsecgss.so.3

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/librpcsecgss.so
%{_libdir}/librpcsecgss.la
%{_includedir}/rpcsecgss
%{_pkgconfigdir}/librpcsecgss.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/librpcsecgss.a
%changelog
* Sat Jul 20 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/librpcsecgss.git;a=log;h=master

* Wed Jun 19 2013 Marcin Krol <hawk@tld-linux.org> 9aded35
- release 4 (by relup.sh)

* Tue Aug 02 2011 Jan Rękorajski <baggins@pld-linux.org> d97ab85
- release 3

* Wed Nov 24 2010 hawk <hawk@pld-linux.org> 5853a41
- release 2

* Fri Aug 13 2010 Jakub Bogusz <qboosh@pld-linux.org> 9586618
- renamed krb5 bcond to gssglue (this is that the bcond does)

* Fri Aug 13 2010 Jakub Bogusz <qboosh@pld-linux.org> 8fd49dc
- updated to 0.19
- implemented heimdal patch in more flexible way, allowing to choose heimdal even if libgssglue is installed

* Thu Jul 02 2009 Jan Rękorajski <baggins@pld-linux.org> 9b20693
- rel 3
- reverse heimdal bcond to krb5, build with heimdal

* Thu Jul 02 2009 Jan Rękorajski <baggins@pld-linux.org> 9c8f186
- removed unnecessary conflicts

* Tue Jun 30 2009 Jan Rękorajski <baggins@pld-linux.org> d4319c2
- C/R on libgssglue and heimdal

* Tue Jun 30 2009 Jan Rękorajski <baggins@pld-linux.org> 51cda65
- rel 2
- added heimdal bcond and patch allowing to use heimdal-gssapi in place
  of libgssglue (patch from gentoo)

* Sat May 31 2008 Jakub Bogusz <qboosh@pld-linux.org> 975968a
- updated to 0.18

* Sat Nov 03 2007 Jakub Bogusz <qboosh@pld-linux.org> 7b8f67f
- updated to 0.17

* Mon Sep 10 2007 Jakub Bogusz <qboosh@pld-linux.org> b543b45
- updated to 0.16
- removed obsolete pc patch

* Mon Sep 10 2007 Jakub Bogusz <qboosh@pld-linux.org> 2c9950c
- obsolete

* Wed Sep 05 2007 Jakub Bogusz <qboosh@pld-linux.org> 134bceb
- license is BSD (for UM code) and MIT (for Sun and MIT code)

* Wed Sep 05 2007 Jakub Bogusz <qboosh@pld-linux.org> 0b4497f
- updated to 0.15 (fixes CVE-2007-3999)
- removed obsolete heimdal patch and bcond (always use libgssglue)
- added pc patch

* Wed Sep 05 2007 Jakub Bogusz <qboosh@pld-linux.org> 94f296a
- update dependency in .pc file

* Wed Sep 05 2007 Jakub Bogusz <qboosh@pld-linux.org> efb67ed
- obsolete

* Fri Mar 30 2007 Jan Rękorajski <baggins@pld-linux.org> 66ecd83
- rel 2
- reverse bcond

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> b8ff968
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 6a255f2
- converted to UTF-8

